Subject: bug#62677: 30.0.50; Need to find a better name for flyspell-prog-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Apr 2023 07:48:33 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 09 Apr 2023 22:53:25 -0400
> 
>   > >   > flyspell-skip-keywords-mode
>   > >   > flyspell-ignore-keywords-mode
>   > > 
>   > > I don't think that name correctly describes what the function does.
>   > > Its code suggests that it limits spell checking to string constants
>   > > and comments.
> 
>   > ??? Where do you see a reference to strings and comments in the two
>   > names I suggested?
> 
> I saw that in a diff that was in one of the emails in this thread.

That was a suggestion from someone else, and I agree that it is
sub-optimal, for the reasons you gave.  Which is why I suggested
different names, without a reference to comments or strings.